Name:           jackson-bom
Version:        2.15.2
Release:        %mkrel 1
Group:          Development/Java
Summary:        Bill of materials POM for Jackson projects
License:        Apache-2.0

URL:            https://github.com/FasterXML/jackson-bom
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson:jackson-parent:pom:) >= 2.15
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
A "bill of materials" POM for Jackson dependencies.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Disable plugins not needed during RPM builds
%pom_remove_plugin ":maven-enforcer-plugin" base
%pom_remove_plugin ":nexus-staging-maven-plugin" base

# New EE coords
%pom_change_dep "javax.activation:javax.activation-api" "jakarta.activation:jakarta.activation-api" base

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE



%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 2.15.2-1.mga10
+ Revision: 1986680
- Update to version 2.15.2

* Sat Mar 26 2022 umeabot <umeabot> 2.11.4-2.mga9
+ Revision: 1827707
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 2.11.4-1.mga9
+ Revision: 1694864
- Update to version 2.11.4

* Wed Oct 21 2020 daviddavid <daviddavid> 2.11.3-1.mga8
+ Revision: 1637874
- Update to version 2.11.3

* Sat Sep 05 2020 daviddavid <daviddavid> 2.11.2-1.mga8
+ Revision: 1622425
- Update to version 2.11.2

* Sun Feb 16 2020 umeabot <umeabot> 2.10.0-2.mga8
+ Revision: 1536160
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1453486
- Update to version 2.10.0

* Thu Feb 07 2019 daviddavid <daviddavid> 2.9.8-1.mga7
+ Revision: 1363824
- Update to latest upstream release 2.9.8

* Tue Oct 30 2018 wally <wally> 2.9.4-3.mga7
+ Revision: 1326785
- imported package jackson-bom


* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-1
- Update to latest upstream release

* Thu Jan 18 2018 Mat Booth <mat.booth@redhat.com> - 2.9.3-1
- Initial packaging

